
# Digital Maker - Raspberry Pi Pico Weekly Experiments 2022 with AdaFruit Circuit Python
# use of the circleBar object (displays circular bar that reacts when given a value converted to an angle between 0 & 360)

import config
from asteroid import game
from PDM_listener import pdm_mic

# ========================= pull some globals in from config
font = config.font
screen = config.screen
display = config.display
buttonOne = config.buttonOne
buttonTwo = config.buttonTwo

#mic = config.mic 
# these Hz numbers might be different 
# on your set up - so you might need to change them
# depending on how you generate the tone 
# we used dotpiano.com to create piano notes

right = 237.5  # A on https://dotpiano.com/
left = 300  # S on https://dotpiano.com/
mov = 487 # = K on https://dotpiano.com/
fire = 550 # = L on https://dotpiano.com/

while True:    
    
    if pdm_mic.isNote(left):
        game.rotate(3)

    if pdm_mic.isNote(right):
        game.rotate(-3)

    if pdm_mic.isNote(mov):
        game.boost()

    if pdm_mic.isNote(fire):
        game.fire() 
        
    # uncomment this section to 
    # display "heard" Hz in the Terminal
    # so you can put in accurate notes for control
    # f = pdm_mic.whatNote()
    # print(f)
    
    # quick shortcuts for testing
    if buttonOne.value:
        game.rotate(3)
        # bott buttons pressed = Boost too!
        if buttonTwo.value:
            game.boost()
        
    if buttonTwo.value:
        game.fire()
        
    game.loop()
    #display.refresh()
