# config set up for display / Screen + 2 buttons

import board
import terminalio
import busio
import displayio
from adafruit_st7789 import ST7789
import digitalio
#import pdm_mic

# Release any resources currently in use for the displays
displayio.release_displays()
# SPI pins for display st7789
tft_cs = board.GP17
tft_dc = board.GP16
# setup spi bus
spi = busio.SPI(board.GP10, board.GP11)
# ============ setup display ================== #
display_bus = displayio.FourWire(spi, command=tft_dc,
                                 chip_select=tft_cs, reset=board.GP18)
display = ST7789(display_bus,
                 width=240,
                 height=240,
                 rowstart=80,
                 auto_refresh=True)

font = terminalio.FONT


# ============== Make the display context =========== #
screen = displayio.Group()

# ============== make the PDM mic object =============== #
#mic = pdm_mic.PDM_mic()

WIDTH = HEIGHT = 240

# ============ button set up ========== #

buttonOne = digitalio.DigitalInOut(board.GP13)
buttonOne.switch_to_input(pull=digitalio.Pull.DOWN)
buttonTwo = digitalio.DigitalInOut(board.GP14)
buttonTwo.switch_to_input(pull=digitalio.Pull.DOWN)
