# utilities 

# ========= useful functions =========== #
import math, random

def get_voltage(raw):
    return (raw * 3.3) / 65536.0

def mapFromTo(v, oldMin, oldMax, newMin, newMax):
    newV = (v-oldMin)/(oldMax-oldMin)*(newMax-newMin)+newMin
    return newV

def average(lst):
    return int(sum(lst) / len(lst))

def rgb2hex(r, g, b):
    return eval("0x{:02x}{:02x}{:02x}".format(r, g, b))

def hex2rgb(hexcode):
    return tuple(map(ord, hexcode[1:].decode('hex')))

def clamp(n, minn, maxn):
    return max(min(maxn, n), minn)

def calcXY(degree, radius):
    # integer of new X position
    xPos = int(math.cos(degree * (math.pi / 180)) * radius)
    # integer of new X position
    yPos = int(math.sin(degree * (math.pi / 180)) * radius)
    return(xPos, yPos)

def getVect(degree, div=10.0):
    r = degree * (math.pi / 180)
    return((math.cos(r)/div, math.sin(r)/div))


def getRand(a,b):
    d = random.choice([a, b])
    v = d*random.random()
    return(v)

# find if a point is inside a circle

def isInside(circle_x, circle_y, circle_rad, x, y):

    # Compare radius of circle
    # with distance of its center
    # from given point
    if ((x - circle_x) * (x - circle_x) +
            (y - circle_y) * (y - circle_y) <= circle_rad * circle_rad):
        return True
    else:
        return False

#handy function to add tuples pairs

def addTuples(a, b):
    return(tuple(map(sum, zip(a, b))))
